Debian Bug report logs - #94966
Recode loses some accents when doing utf-8..tex

version graph

Package: recode; Maintainer for recode is Santiago Vila <sanvila@debian.org>; Source for recode is src:recode.

Reported by: dvdeug@debian.org

Date: Mon, 23 Apr 2001 11:48:36 UTC

Severity: normal

Tags: upstream

Found in version 3.6-1

Forwarded to Bruno Haible <haible@ilog.fr>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#94966; Package recode. Full text and rfc822 format available.

Acknowledgement sent to David Starner <dstarner98@aasaa.ofe.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Starner <dstarner98@aasaa.ofe.org>
To: submit@bugs.debian.org
Subject: Recode loses some accents when doing utf-8..tex
Date: Mon, 23 Apr 2001 06:42:38 -0500
[Message part 1 (text/plain, inline)]
Subject: Missing many characters in utf-8..tex
Package: recode
Version: 3.6-1
Severity: normal

When recode translates between UTF-8 and TeX, it catches the umlauts
and accents, but loses the breves (\u in TeX) and macrons (\= in TeX). 

I ran "recode utf-8..tex < book.tex > book2.tex" to produce the 
examples. As you can see, many characters with breves and macrons
just lose them in the process. 

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux dvdeug 2.4.0 #9 Thu Feb 22 01:11:46 CST 2001 i686

Versions of packages recode depends on:
ii  libc6                         2.2.2-4    GNU C Library: Shared libraries an
ii  librecode0                    3.6-1      Shared library on which recode is 
-- 
David Starner - dstarner98@aasaa.ofe.org
Pointless website: http://dvdeug.dhis.org
"I don't care if Bill personally has my name and reads my email and 
laughs at me. In fact, I'd be rather honored." - Joseph_Greg
[book.tex (text/x-tex, attachment)]
[book2.tex (text/x-tex, attachment)]

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 94966-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Bruno Haible <haible@ilog.fr>
Cc: <94966-forwarded@bugs.debian.org>, David Starner <dstarner98@aasaa.ofe.org>
Subject: Bug#94966: Recode loses some accents when doing utf-8..tex (fwd)
Date: Tue, 24 Apr 2001 00:31:15 +0200 (CEST)
[Message part 1 (text/plain, INLINE)]
Received yesterday:

---------- Forwarded message ----------
Date: Mon, 23 Apr 2001 06:42:38 -0500
From: David Starner <dstarner98@aasaa.ofe.org>
To: submit@bugs.debian.org
Subject: #94966: Recode loses some accents when doing utf-8..tex

Subject: Missing many characters in utf-8..tex
Package: recode
Version: 3.6-1
Severity: normal

When recode translates between UTF-8 and TeX, it catches the umlauts
and accents, but loses the breves (\u in TeX) and macrons (\= in TeX).

I ran "recode utf-8..tex < book.tex > book2.tex" to produce the
examples. As you can see, many characters with breves and macrons
just lose them in the process.

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux dvdeug 2.4.0 #9 Thu Feb 22 01:11:46 CST 2001 i686

Versions of packages recode depends on:
ii  libc6                         2.2.2-4    GNU C Library: Shared libraries an
ii  librecode0                    3.6-1      Shared library on which recode is
-- 
David Starner - dstarner98@aasaa.ofe.org
Pointless website: http://dvdeug.dhis.org
"I don't care if Bill personally has my name and reads my email and
laughs at me. In fact, I'd be rather honored." - Joseph_Greg
[book.tex (text/x-tex, ATTACHMENT)]
   1. When they are final: as in adē, jā, kákadū, Minnā, Páulī, sō, sófā.
   Except when final unaccented e (as in gabĕ),3 and final a in the
   interjections dă, hă, jă, nă.
   
   2. When they are accented and (according to the new German
   orthography) stand before a single consonant letter, a th, an sz
   followed by a vowel, or any sz that does not change to ss when a vowel
   comes after it:4 as in gab, über, weg, wagen, nur, brot, atem, ethik,
   strasze, grösze, süsz (süsze).5 Exceptions are aprĭl, grŏb, kapĭtel,
   Lŭther, zĭther, accented dăs and wăs, the adverbs ăb, ăn, hĭn, mĭt,
   ŭm, wĕg, and a number of borrowed words.6 The vowels of unemphatic
   monosyllables, being regularly unaccented, are not included in this
   rule: bĭn, hăt, măn, dăs, ĕs, bĭs, ĭn, vŏn, ŏb, etc.; but dir, für,
   mir, vor, wir, and sometimes er, have long vowels in very careful
   speech.
[book2.tex (text/x-tex, ATTACHMENT)]
   1. When they are final: as in ade, ja, k\'akadu, Minna, P\'auli, so, s\'ofa.

   Except when final unaccented e (as in gabe),3 and final a in the

   interjections da, ha, ja, na.

   

   2. When they are accented and (according to the new German

   orthography) stand before a single consonant letter, a th, an sz

   followed by a vowel, or any sz that does not change to ss when a vowel

   comes after it:4 as in gab, \"uber, weg, wagen, nur, brot, atem, ethik,

   strasze, gr\"osze, s\"usz (s\"usze).5 Exceptions are april, grob, kapitel,

   Luther, zither, accented das and was, the adverbs ab, an, hin, mit,

   um, weg, and a number of borrowed words.6 The vowels of unemphatic

   monosyllables, being regularly unaccented, are not included in this

   rule: bin, hat, man, das, es, bis, in, von, ob, etc.; but dir, f\"ur,

   mir, vor, wir, and sometimes er, have long vowels in very careful

   speech.


Message #9 received at 94966-forwarded@bugs.debian.org (full text, mbox):

From: Bruno Haible <haible@ilog.fr>
To: Santiago Vila <sanvila@unex.es>
Cc: recode-bugs@iro.umontral.ca, <94966-forwarded@bugs.debian.org>, David Starner <dstarner98@aasaa.ofe.org>
Subject: Re: Bug#94966: Recode loses some accents when doing utf-8..tex (fwd)
Date: Thu, 5 Jul 2001 14:51:24 +0200 (CEST)
Just forwarding this bug report to recode-bugs@iro.umontral.ca so that
Francois Pinard sees it. He will deal with it some day.


  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.
  Send mail to mime@docserver.cac.washington.edu for more info.

--rwEMma7ioTxnRzrJ
Content-Type: TEXT/PLAIN; CHARSET=US-ASCII
Content-ID: <Pine.LNX.4.33.0104240029482.8712@home.unex.es>
Content-Disposition: INLINE

Received yesterday:

---------- Forwarded message ----------
Date: Mon, 23 Apr 2001 06:42:38 -0500
From: David Starner <dstarner98@aasaa.ofe.org>
To: submit@bugs.debian.org
Subject: #94966: Recode loses some accents when doing utf-8..tex

Subject: Missing many characters in utf-8..tex
Package: recode
Version: 3.6-1
Severity: normal

When recode translates between UTF-8 and TeX, it catches the umlauts
and accents, but loses the breves (\u in TeX) and macrons (\= in TeX).

I ran "recode utf-8..tex < book.tex > book2.tex" to produce the
examples. As you can see, many characters with breves and macrons
just lose them in the process.

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux dvdeug 2.4.0 #9 Thu Feb 22 01:11:46 CST 2001 i686

Versions of packages recode depends on:
ii  libc6                         2.2.2-4    GNU C Library: Shared libraries an
ii  librecode0                    3.6-1      Shared library on which recode is
-- 
David Starner - dstarner98@aasaa.ofe.org
Pointless website: http://dvdeug.dhis.org
"I don't care if Bill personally has my name and reads my email and
laughs at me. In fact, I'd be rather honored." - Joseph_Greg

--rwEMma7ioTxnRzrJ
Content-Type: TEXT/X-TEX; CHARSET=utf-8
Content-Transfer-Encoding: QUOTED-PRINTABLE
Content-ID: <Pine.LNX.4.33.0104240029483.8712@home.unex.es>
Content-Description: 
Content-Disposition: ATTACHMENT; FILENAME="book.tex"

   1. When they are final: as in ad=C4=93, j=C4=81, k=C3=A1kad=C5=AB, Minn=
=C4=81, P=C3=A1ul=C4=AB, s=C5=8D, s=C3=B3f=C4=81.=0D
   Except when final unaccented e (as in gab=C4=95),3 and final a in the=0D
   interjections d=C4=83, h=C4=83, j=C4=83, n=C4=83.=0D
  =20=0D
   2. When they are accented and (according to the new German=0D
   orthography) stand before a single consonant letter, a th, an sz=0D
   followed by a vowel, or any sz that does not change to ss when a vowel=
=0D
   comes after it:4 as in gab, =C3=BCber, weg, wagen, nur, brot, atem, ethi=
k,=0D
   strasze, gr=C3=B6sze, s=C3=BCsz (s=C3=BCsze).5 Exceptions are apr=C4=ADl=
, gr=C5=8Fb, kap=C4=ADtel,=0D
   L=C5=ADther, z=C4=ADther, accented d=C4=83s and w=C4=83s, the adverbs =
=C4=83b, =C4=83n, h=C4=ADn, m=C4=ADt,=0D
   =C5=ADm, w=C4=95g, and a number of borrowed words.6 The vowels of unemph=
atic=0D
   monosyllables, being regularly unaccented, are not included in this=0D
   rule: b=C4=ADn, h=C4=83t, m=C4=83n, d=C4=83s, =C4=95s, b=C4=ADs, =C4=ADn=
, v=C5=8Fn, =C5=8Fb, etc.; but dir, f=C3=BCr,=0D
   mir, vor, wir, and sometimes er, have long vowels in very careful=0D
   speech.=0D
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=
=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00=00
--rwEMma7ioTxnRzrJ
Content-Type: TEXT/X-TEX; CHARSET=us-ascii
Content-ID: <Pine.LNX.4.33.0104240029484.8712@home.unex.es>
Content-Description: 
Content-Disposition: ATTACHMENT; FILENAME="book2.tex"

   1. When they are final: as in ade, ja, k\'akadu, Minna, P\'auli, so, s\'ofa.

   Except when final unaccented e (as in gabe),3 and final a in the

   interjections da, ha, ja, na.

   

   2. When they are accented and (according to the new German

   orthography) stand before a single consonant letter, a th, an sz

   followed by a vowel, or any sz that does not change to ss when a vowel

   comes after it:4 as in gab, \"uber, weg, wagen, nur, brot, atem, ethik,

   strasze, gr\"osze, s\"usz (s\"usze).5 Exceptions are april, grob, kapitel,

   Luther, zither, accented das and was, the adverbs ab, an, hin, mit,

   um, weg, and a number of borrowed words.6 The vowels of unemphatic

   monosyllables, being regularly unaccented, are not included in this

   rule: bin, hat, man, das, es, bis, in, von, ob, etc.; but dir, f\"ur,

   mir, vor, wir, and sometimes er, have long vowels in very careful

   speech.


--rwEMma7ioTxnRzrJ--




Severity set to `serious'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to David Starner <dstarner98@aasaa.ofe.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 94966-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 94966-close@bugs.debian.org
Subject: Bug#94966: fixed in recode 3.6-3
Date: Sat, 20 Oct 2001 15:09:34 -0400
We believe that the bug you reported is fixed in the latest version of
recode, which has been installed in the Debian FTP archive:

librecode-dev_3.6-3_i386.deb
  to pool/main/r/recode/librecode-dev_3.6-3_i386.deb
recode_3.6-3.dsc
  to pool/main/r/recode/recode_3.6-3.dsc
recode_3.6-3_i386.deb
  to pool/main/r/recode/recode_3.6-3_i386.deb
recode_3.6-3.diff.gz
  to pool/main/r/recode/recode_3.6-3.diff.gz
librecode0_3.6-3_i386.deb
  to pool/main/r/recode/librecode0_3.6-3_i386.deb
recode-doc_3.6-3_all.deb
  to pool/main/r/recode/recode-doc_3.6-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 94966@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated recode package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Sat, 20 Oct 2001 20:01:38 +0200
Source: recode
Binary: librecode-dev recode-doc librecode0 recode
Architecture: source i386 all
Version: 3.6-3
Distribution: unstable
Urgency: high
Maintainer: Santiago Vila <sanvila@debian.org>
Description: 
 librecode-dev - Development package for librecode0
 librecode0 - Shared library on which recode is based.
 recode     - Character set conversion utility.
 recode-doc - Documentation for Free recode.
Closes: 94966 113742 114850
Changes: 
 recode (3.6-3) unstable; urgency=high
 .
   * UTF-8 should now work. Patch by Bruno Haible.
     Closes: #94966, #113742, #114850.
Files: 
 baff2cfc3998ca827db717609aeadd65 657 text optional recode_3.6-3.dsc
 316927a19f5bfc2821d25a14fba7dd95 19691 text optional recode_3.6-3.diff.gz
 2182e1b7ba3f2a978da26a9d0a311b4c 100460 doc optional recode-doc_3.6-3_all.deb
 bf9ebf7250f1b019a8917919d2ce35f1 158372 text optional recode_3.6-3_i386.deb
 088a2090d4cdcc127689aa7ef5648445 692768 libs optional librecode0_3.6-3_i386.deb
 e8bab140a659283c9b942b66298b3fd1 734686 devel optional librecode-dev_3.6-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE70b5Kd9Uuvj7yPNYRAosHAKCYggyf2MvJqMj5aQabGjejKdTpswCgpHzm
qsROyX7L3NMf7Ps+hTtYOS4=
=W+HR
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from David Starner <dstarner98@aasaa.ofe.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from David Starner <dstarner98@aasaa.ofe.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#94966; Package recode. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #25 received at 94966@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: recode-bugs@iro.umontreal.ca
Cc: 94966@bugs.debian.org
Subject: Re: Bug#94966: Recode loses some accents when doing utf-8..tex
Date: Sun, 21 Oct 2001 22:54:47 +0200 (CEST)
On Sat, 20 Oct 2001, Bruno Haible wrote:

> Santiago Vila writes:
>
> > I received this report from the Debian Bug System.
> >
> > [ If you look at http://bugs.debian.org/recode, this is not the first
> > report about recode not working ok when using utf8.
>
> Please try the appended patch. Does it fix the bug?

The patch fixes Debian bugs #113742 and #114850, but not #94966 as I
wrongly believed, which is also a TeX related problem. Please, see:

http://bugs.debian.org/94966

for details.

Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#94966; Package recode. Full text and rfc822 format available.

Acknowledgement sent to David Starner <dstarner98@aasaa.ofe.org>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #30 received at 94966@bugs.debian.org (full text, mbox):

From: David Starner <dstarner98@aasaa.ofe.org>
To: Santiago Vila <sanvila@unex.es>
Cc: 94966@bugs.debian.org
Subject: Re: Not a UTF-8 problem; a TeX problem
Date: Sun, 21 Oct 2001 16:22:54 -0500
On Sun, Oct 21, 2001 at 10:33:55PM +0200, Santiago Vila wrote:
> Ooops! Sorry, I thought this bug was fixed as well.

Having looked at closer, it's actually doing utf-8..iso8859-1..tex; it's
actually more of a wishlist bug, since recode is handling it
"correctly", it's just missing a Unicode to TeX filter. Complaints about
the defaults are being sent to /dev/null.

-- 
David Starner - dstarner98@aasaa.ofe.org
Pointless website: http://dvdeug.dhis.org
"I saw a daemon stare into my face, and an angel touch my breast; each 
one softly calls my name . . . the daemon scares me less."
- "Disciple", Stuart Davis



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#94966; Package recode. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #35 received at 94966@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: David Starner <dstarner98@aasaa.ofe.org>, <94966@bugs.debian.org>
Subject: Re: Bug#94966: Not a UTF-8 problem; a TeX problem
Date: Mon, 22 Oct 2001 00:42:56 +0200 (CEST)
On Sun, 21 Oct 2001, David Starner wrote:

> On Sun, Oct 21, 2001 at 10:33:55PM +0200, Santiago Vila wrote:
> > Ooops! Sorry, I thought this bug was fixed as well.
>
> Having looked at closer, it's actually doing utf-8..iso8859-1..tex; it's
> actually more of a wishlist bug, since recode is handling it
> "correctly", it's just missing a Unicode to TeX filter. Complaints about
> the defaults are being sent to /dev/null.

[ Hmm, downgrading this bug below normal would be unfair. I think
"severity: normal" is ok ].

Is there a value of N for which iso-8859-N contains breves and macrons?
Doing utf-8..iso8859-N..tex (by hand) would serve as a workaround, then.




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#94966; Package recode. Full text and rfc822 format available.

Acknowledgement sent to David Starner <dstarner98@aasaa.ofe.org>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #40 received at 94966@bugs.debian.org (full text, mbox):

From: David Starner <dstarner98@aasaa.ofe.org>
To: 94966@bugs.debian.org
Subject: Re: Bug#94966: Not a UTF-8 problem; a TeX problem
Date: Sun, 21 Oct 2001 18:42:15 -0500
On Mon, Oct 22, 2001 at 12:42:56AM +0200, Santiago Vila wrote:
> Is there a value of N for which iso-8859-N contains breves and macrons?
> Doing utf-8..iso8859-N..tex (by hand) would serve as a workaround, then.

recode doesn't support iso8859-n..tex; it only supports iso8859-1..tex.
The relevant code is in recode-3.6/src/; lat1ltex.c and ltexlat1.l. 
Even if it did, there's no iso-8859-n that includes all the characters
in the text I included in the bug report.

It's not that much work to fix; I'll have to find some time to make a
patch one of these days. 

-- 
David Starner - dstarner98@aasaa.ofe.org
Pointless website: http://dvdeug.dhis.org
"I saw a daemon stare into my face, and an angel touch my breast; each 
one softly calls my name . . . the daemon scares me less."
- "Disciple", Stuart Davis



Bug closed, send any further explanations to David Starner <dstarner98@aasaa.ofe.org> Request was from David Starner <dvdeug@x8b4e531b.dhcp.okstate.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to dvdeug@debian.org. Request was from David Starner <dvdeug@x8b4e531b.dhcp.okstate.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:00:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.